import { EventAddOptions, EventCallback, EventElement, EventRemoveOptions } from '../types/dom';
export declare const isServer: boolean;
export declare const isMobile: boolean;
export declare const requestAnimationFrame: ((callback: (() => void)) => void);
/**
 * Attaches events to the given element.
 */
export declare const addEventListener: (el: EventElement, events: string[], callback: EventCallback, options?: EventAddOptions) => void;
/**
 * Attaches events to the given element for once.
 */
export declare const addEventListenerOnce: (el: EventElement, events: string[], callback: EventCallback, addOptions?: EventAddOptions, removeOptions?: EventRemoveOptions) => void;
/**
 * Removes events from the given element.
 */
export declare const removeEventListener: (el: EventElement, events: string[], callback: EventCallback, options?: EventRemoveOptions) => void;
